WHATIS(1)

NOME
whatis - mostra descrições das páginas do manual numa linha

SINOPSE
whatis [-dlv?V] [-r|-w] [-s lista] [-m sistema[,...]] [-M caminho] [-L idioma] [-C ficheiro] nome ...

DESCRIÇÃO
Cada página do manual tem em si uma breve descrição. O whatis procura os nomes das páginas do manual e mostra as descrições, caso encontre algum nome. O nome pode conter caracteres universais (-w) ou ser uma expressão regular (-r). Se usar estas opções, poderá ser necessário pôr o nome entre aspas ou escapar (\) os caracteres especiais para impedir que a shell os interprete. Durante a procura, são usadas bases de dados de índice e são actualizadas pelo programa mandb. Dependendo da sua instalação, isto pode ser executado por uma tarefa cron periódica, ou pode ter de ser manualmente excutado após a instalação de novas páginas do manual. Para produzir umbase de dados whatis em texto de estilo antigo a partir da base de dados de índice relativa, emita o comando: whatis -M manpath -w '*' | sort > manpath/whatis onde manpath é uma hierarquia de páginas do manual, tal como /usr/man.

OPÇÕES

-d, --debug
    imprime informação de depuração.

-v, --verbose
    imprime avisos verbosos.

-r, --regex
    Interpreta cada nome como uma expressão regular. Se um nome corresponder a qualquer parte de um nome de página, será feita uma correspondência. Esta opção faz com que o whatis seja algo mais lento devido à natureza das bases de dados de procura.

-w, --wildcard
    Interpreta cada nome como um padrão contendo caracteres universais ao estilo da shell. Para que haja uma correspondência, um nome expandido tem de corresponder a todo o nome da página. Esta opção faz com que o whatis seja algo mais lento devido à natureza das base de dados de procura.

-l, --long
    não corta a saída para a largura do terminal. Normalmente, isto é feito para evitar resultados muito feios de secções NOME mal escritas.

-s lista, --sections lista, --section lista
    procura só as secções do manual indicadas. lista é uma lista de secções separadas por dois-pontos ou vírgula. Se uma entrada em lista for uma secção simples, por exemplo, "3", a lista de descrições mostrada incluirá páginas nas secções "3", "3perl", "3x" e assim por diante; enquanto se uma entrada em lista tiver uma extensão, por exemplo "3perl", a lista incluirá só páginas nessa parte exacta da secção do manual.

-m sistema[,...], --systems=sistema[,...]
    Se este sistema tem acesso a nomes de páginas de manual de outro sistema operativo, pode usar esta opção para lhes aceder. Para tal, use a opção -m NovoOS. O sistema especificado pode ser uma combinação de nomes de sistemas operativos, separados por vírgulas. Para incluir uma procura de nomes de páginas do manual do sistema nativo, o nome de sistema man tem de estar incluído na cadeia de argumentos. Esta opção sobrepõe-se à variável de ambiente $SYSTEM.

-M caminho, --manpath=caminho
    Especifique um conjunto alternativo de hierarquias de páginas de manual delimitadas por dois-pontos para procurar. Por predefinição, whatis usa a variável de ambiente $MANPATH, a menos que esteja vazia ou indefinida, caso em que determinará um manpath apropriado com base na variável de ambiente $PATH. Esta opção sobrescreve o conteúdo de $MANPATH.

-L idioma, --locale=idioma
    O whatis normalmente determinará sua localidade actual por uma chamada à função C setlocale(3), que interroga várias variáveis de ambiente, possivelmente incluindo $LC_MESSAGES e $LANG. Para sobrepor temporariamente o valor determinado, use esta opção para fornecer uma cadeia idioma directamente a whatis. Note que isto não terá efeito até que a procura por páginas realmente comece. Saídas como a mensagem de ajuda serão sempre mostradas no idioma inicialmente determinado.

-C ficheiro, --config-file=ficheiro
    usa este ficheiro do utilizador em vez do predefinido de ~/.manpath.

-?, --help
    mostra uma mensagem de ajuda e sai.

--usage
    mostra uma mensagem curta de uso e sai.

-V, --version
    mostra informação da versão.

ESTADO DE SAÍDA

0   Execução de programa com sucesso.

1   Erro de uso, sintaxe ou ficheiro de configuração.

2   Erro de operação.

16  Nada encontrado que cumpra o critério especificado.

AMBIENTE

SYSTEM
    Se $SYSTEM estiver definido, terá o mesmo efeito como se fosse especificado como argumento da opção -m.

MANPATH
    Se $MANPATH estiver definido, o seu valor é interpretado como caminho de procura delimitado por dois-pontos de hierarquia de páginas do manual a usar.

MANWIDTH
    Se $MANWIDTH estiver definido, o seu valor será usado como largura do terminal (veja a opção --long). Senão, a largura do terminal será calculada usando o valor de $COLUMNS, um ioctl(2) se disponível ou retornando a 80 caracteres se tudo o mais falhar.

FICHEIROS

/usr/share/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global de acordo com FHS.

/usr/share/man/.../whatis
    Uma base de dados de texto whatis tradicional

VEJA TAMBÉM
apropos(1), man(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).